import { ComponentPublicInstance } from '@vue/runtime-core';
import IMark from './IMark';
import { SubjectStyleType } from './Subject';
export default interface IMarkedText {
    sourceText: string;
    marks: IMark[];
    numSubjectColors: number;
    subjectColorLightness: number;
    subjectStyleType: SubjectStyleType;
    refreshManuscript(): void;
    resetSpans(): void;
    setSelection(charRange: [number, number] | null, immediate?: boolean): void;
    getSelection(): [number, number] | null;
    metaStringEncloseSections(begSections: number[], endSections: number[]): void;
    metaStringDivideBatches(): void;
    removeMetaStrings(): void;
    subjectStyle(name: string): any;
}
export declare type VMarkedText = ComponentPublicInstance & IMarkedText;
